Produce new XML document based on diff

- « XMLDiff\Base::diff

- XMLDiff\DOM »

- PHP Manual
- XMLDiff\Base
- Produce new XML document based on diff

# XMLDiff\Base::merge

(PECL xmldiff >= 0.8.0)

XMLDiff\Base::merge — Produce new XML document based on diff

### Description

abstract public XMLDiff\Base::merge(mixed `$src`, mixed `$diff`): mixed

Abstract merge method to be implemented by inheriting classes.

Basically the method purpose is to produce a new XML document based on the diff information.

### Parameters

`src`

  Source XML document.

`diff`

  Document produced by the diff method.

### Return Values

Implementation dependent.